@import "@/assets/styles/abstracts/mixins";

.activity-item{
    background-color: white;
    border-radius: 2.4rem;
    height: 46rem;
    @include flex-container(center,center,column);
    box-shadow: $shadow;
    padding: 1.6rem;
    margin-right: 1.5rem; 
    margin-bottom: 2rem;
    width: 28rem;
 }

.activity-item-filled__img-wrapper{
    width: 100%;
}



.activity-item-filled{
   height: 100%;
}
.activity-item-filled__img{
    width: 24.8rem;
    height: 21rem;
    border-radius: 1rem;
    margin-bottom: 1.2rem;
}
.activity-item-filled__details{
    @include flex-container(space-between,center,row);
    margin-bottom: 1.6rem;
}
.details__activity-name{
    font-size: 1.8rem;
    font-weight: 700;
  
}

.details__activity-icon{
    padding: .8rem .35rem;
    font-size: 1.8rem;
   
}
.activity-item-filled__description{
    color: #6B6B6B;
    font-size: 1.4rem;
    font-weight: 400;
    margin-bottom: 3rem;
}

.activity-item-filled__line{
    background-color: rgba(236, 240, 240, 0.75);
    width: 20rem;
    height: .2rem;
    border-radius: 1rem;
    margin-bottom: 2.6rem;
}
.activity-item-filled__date{
    @include flex-container(flex-start,center,row);
    margin-bottom: 3rem;
    
}
.date__time{
    @include flex-container(center,center,row)
    
}
.date__time:first-child{
    margin-left: 1.6rem;
}
.date-time__text{
    font-size: 1.5rem;
    font-weight: 400;
    color: #5B5E69;
}
.date-time__icon{
    width: 2rem;
    height: 2rem;
    margin-left: .5rem;
}
.activity-item-filled__activity-type{
    font-size: 1.6rem;
    padding: .2rem .8rem;
    border-radius: 1.2rem;
    background-color: #FFF5FF;
    color: #AE3EC9;
    margin-bottom: 1rem;
}

 @include respond-to (medium-desktop) {
    
     .activity-item{
        border-radius: 1.6rem;
        height: 36rem;
        width: 20rem;
        margin-right: 1.2rem;  
        margin-bottom: 2rem;
     }
     .activity-item-filled__img{
        width: 17.5rem;
        height: 15rem;
        border-radius: 1rem;
        margin-bottom: .9rem;
    }
    .activity-item-filled__details{
        margin-bottom: 1.2rem;
    }
    .details__activity-name{
        font-size: 1.3rem;
      
    }
    
    .details__activity-icon{
        padding: .6rem .15rem;
        font-size: 1.3rem;
       
    }
    .activity-item-filled__description{
        font-size: 1rem;
        margin-bottom: 1.8rem;
    }
    
    .activity-item-filled__line{
        width: 15rem;
        height: .15rem;
        margin-bottom: 1.9rem;
    }
    .activity-item-filled__date{
        margin-bottom: 2rem;
        
    }
    
    .date__time:first-child{
        margin-left: 1.2rem;
    }
    .date-time__text{
        font-size: 1.15rem;
    }
    .date-time__icon{
        width: 1.5rem;
        height: 1.5rem;
        margin-left: .3rem;
    }
    .activity-item-filled__activity-type{
        font-size: 1.2rem;
        padding: .2rem .6rem;
        margin-bottom: 1rem;
    }
 }
 @include respond-to(mobile){
    .activity-item-filled__img-wrapper{
        display: none;
    }
    .activity-item{
        height: 14rem;
        min-width: 23rem;
        margin-right: 1.2rem;  
        margin-bottom: 2rem;
     }
     .activity-item-filled__details{
        @include flex-container(space-between,center,row);
        margin-bottom: 1.2rem;
    }
    .activity-item-filled__description{
        margin-bottom: 1.5rem;
    }
    .activity-item-filled__line{
       display: none;
    }
    .activity-item-filled__activity-type{
        display: none;
    }
    .activity-item-filled__description{
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .activity-item.activity-item--empty{
        height: 10rem;
        min-width: 100%;
        margin-right: 0;
        
    }
    

 }